Bug 112687 - Presentation annotations are saved with way too many points
Summary: Presentation annotations are saved with way too many points
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.1 all versions
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Slide-Show 138293
  Show dependency treegraph
 
Reported: 2017-09-27 08:31 UTC by Antonello
Modified: 2022-12-18 03:20 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Test slide with annotations (27.30 KB, application/vnd.oasis.opendocument.presentation)
2017-09-27 08:33 UTC, Antonello
Details
Screenshot of the same file (105.10 KB, image/png)
2017-09-27 08:37 UTC, Antonello
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Antonello 2017-09-27 08:31:19 UTC
Description:
It is actually possible to save annotations made during presentation with the mouse pointer if the option "Mouse painter as pen" (in Slide Show Settings) has been enabled before starting the presentation.

The problem is however that the tool doesn't use the algorithm of the normal hand-writing tool used in slide editing mode: while in editing mode the hand-writing tool saves just a few dots and "builds" Bézier curves, in presentation mode the algorithm just save LOTS of micro points.
You can see an example in the attached screenshot and odp file: the curves in blue has been obtained with the handwriting tool in editing mode, those in red with the "same" (that is not) tool in the presentation mode.
The result is that even with a few annotations, the slides become unresponsive even on modern pc and generate other problems (e.g., annotation saved on the wrong slide)

Steps to Reproduce:
1. In Slide Show Settings choose the option "Mouse painter as pen"
2. Now starts a presentation and make a few annotations
3. Close (or end) the presentation

Actual Results:  
Annotation are now saved (as desired) with the slide but making too many points but are composed of way too many points that make instable LO (i.e., needs to be killed). Annotations may also appear on wrong slides.

Expected Results:
The annotations made during presentation should have used the same algorithm of hand writing during slide edit.


Reproducible: Always

User Profile Reset: No

Additional Info:
A similar bug already exists (https://bugs.documentfoundation.org/show_bug.cgi?id=51928), but it focus on presentation annotations not being saved.
While this one observes that annotations can actually be saved, but the process of creating them is bugged.

There is no easy workaround, so I leave this bug report  as normal.



User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:55.0) Gecko/20100101 Firefox/55.0
Comment 1 Antonello 2017-09-27 08:33:32 UTC
Created attachment 136561 [details]
Test slide with annotations

In the attachment lines in blue has been obtained using editing-mode hand-writing tool, while lines in red with presentation-mode hand-writing tool.
You can see the differences if you click on them "edit points"
Comment 2 Antonello 2017-09-27 08:37:18 UTC
Created attachment 136562 [details]
Screenshot of the same file

Screenshot of the same file. I am uploading this, as opening the original file is ok, but as soon you try to do something with the red lines, it may make your pc unresponsive, so opening instead this screenshot is a safer option ;-)
Comment 3 Buovjaga 2017-11-01 16:40:56 UTC
Repro from scratch.

Arch Linux 64-bit, KDE Plasma 5
Version: 6.0.0.0.alpha1+
Build ID: af318eeb4e23694e17b09b902afb98ddf9da9b7b
CPU threads: 8; OS: Linux 4.13; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on November 1st 2017
Comment 4 Antonello 2018-10-08 07:32:14 UTC
Hello, I know it's not nice to ping a bug report without bringing any news, but this bug is pretty important for me as it would allow me to use LibreOffice for teaching in distant learning projects, and at the same time it should be fairly simple to solve for someone with knowledge of the internals of LO Draw, as it is a matter of applying an already know algorithm in the context of live slide annotations.

Is there any way I could investigate this bug further or be more precise in its description?
Comment 5 Buovjaga 2018-10-08 12:17:38 UTC
(In reply to Antonello from comment #4)
> Hello, I know it's not nice to ping a bug report without bringing any news,
> but this bug is pretty important for me as it would allow me to use
> LibreOffice for teaching in distant learning projects, and at the same time
> it should be fairly simple to solve for someone with knowledge of the
> internals of LO Draw, as it is a matter of applying an already know
> algorithm in the context of live slide annotations.
> 
> Is there any way I could investigate this bug further or be more precise in
> its description?

I think the description is clear enough, so the only way you could help is to dig into the code and provide a better algorithm. I don't believe this is a regression, I assume it has always behaved like this.
Comment 6 QA Administrators 2019-10-20 02:33:13 UTC Comment hidden (obsolete)
Comment 7 Antonello 2019-10-20 10:47:19 UTC
Still present in LO 6.3.2.2
Comment 8 QA Administrators 2022-12-18 03:20:49 UTC
Dear Antonello,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug